"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var mod = require("node-xmllint");
var path = require("path");
var fs = require("fs");
var xsd = 'saml-schema-protocol-2.0.xsd';
var schemaPath = function (schema) { return path.resolve(__dirname, "./schemas/" + schema); };
var schemaProto = fs.readFileSync(schemaPath(xsd), 'utf-8');
var schemaAssert = fs.readFileSync(schemaPath('saml-schema-assertion-2.0.xsd'), 'utf-8');
var schemaXmldsig = fs.readFileSync(schemaPath('xmldsig-core-schema.xsd'), 'utf-8');
var schemaXenc = fs.readFileSync(schemaPath('xenc-schema.xsd'), 'utf-8');
// file fix for virtual filesystem of emscripten
schemaProto = schemaProto.replace('saml-schema-assertion-2.0.xsd', 'file_0.xsd');
schemaProto = schemaProto.replace('xmldsig-core-schema.xsd', 'file_1.xsd');
schemaAssert = schemaAssert.replace('xmldsig-core-schema.xsd', 'file_1.xsd');
schemaAssert = schemaAssert.replace('xenc-schema.xsd', 'file_2.xsd');
schemaXenc = schemaXenc.replace('xmldsig-core-schema.xsd', 'file_1.xsd');
exports.validate = function (xml) {
    return new Promise(function (resolve, reject) {
        var validationResult = mod.validateXML({
            xml: xml,
            schema: [schemaAssert, schemaXmldsig, schemaXenc, schemaProto]
        });
        if (!validationResult.errors) {
            return resolve('SUCCESS_VALIDATE_XML');
        }
        console.error("this is not a valid saml response with errors: " + validationResult.errors);
        return reject('ERR_EXCEPTION_VALIDATE_XML');
    });
};
//# sourceMappingURL=index.js.map